dbXML API

## com.dbxml.db.core.extension
Class DuplicateObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.extension.ExtensionException
                          com.dbxml.db.core.extension.DuplicateObjectException

All Implemented Interfaces:
  java.io.Serializable

public final class DuplicateObjectException
extends ExtensionException

A DuplicateObjectException is thrown if an Extension create attempt duplicates an existing Extension.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`DuplicateObjectException()`
`DuplicateObjectException(java.lang.String message)`
`DuplicateObjectException(java.lang.String message, java.lang.Throwable wrapped)`
`DuplicateObjectException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateObjectException

    public DuplicateObjectException()

### DuplicateObjectException

    public DuplicateObjectException(java.lang.Throwable wrapped)

### DuplicateObjectException

    public DuplicateObjectException(java.lang.String message)

### DuplicateObjectException

    public DuplicateObjectException(java.lang.String message,
                                    java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group